Defect #21379

Plugin author is not able to delete plugin versions

Added by Tobias Fischer about 6 years ago. Updated about 6 years ago.

Status:NewStart date:
Priority:HighDue date:
Assignee:Jean-Philippe Lang% Done:

0%

Category:Website (redmine.org)
Target version:-
Resolution: Affected version:

Description

I'm a redmine plugin author and have several plugins listed in the official Redmine plugin repository. For example: http://www.redmine.org/plugins/redmine_emojibutton

I am not able to delete a plugin version. After the confirmation dialog I'm beeing redirected to http://www.redmine.org/plugins/redmine_emojibutton/versions/2011 and get a 403 error "not allowed to access this page".

Plugin authors should be able to delete versions of their plugins in order to be able to do a roll back to a previous version.


Related issues

Related to Redmine - Defect #19229: redmine.org plugin page only shows latest version compati... Reopened

History

#1 Updated by Tobias Fischer about 6 years ago

Is it possible to create a new issue category for the "Plugins" plugin?

And is the "Plugins" plugin somehow open source? Would be great to contribute bugfixes and such...
This is not the first bug I reported which affects the "Plugins" page... -> #19229

#2 Updated by Toshi MARUYAMA about 6 years ago

  • Related to Defect #19229: redmine.org plugin page only shows latest version compatibility added

Also available in: Atom PDF